[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetParentComponent

Returns the value in the Parent property.

## Declaration

Source position: controls.pp line 1707

`public function TControl.GetParentComponent: TComponent; override;`

## Function result

Value in the Parent property.

## Description

GetParentComponent gets the component / control which has the current class instance in its Components property. GetParentComponent is an overridden method in TControl, and re-implements the inherited method. It uses the value in the Parent property as the return value for the method. The inherited method always returns Nil.

## See also

TControl.Parent |  | The control within which the control is shown.
TComponent.Components